# ExtReact

## [About ExtReact](https://www.sencha.com/products/extreact/)
ExtReact is a comprehensive React UI component library containing over 140 enterprise-grade UI components such as Data Grids, Pivot Grids, Trees, Charts, D3 Visualizations, Forms, Calendars, Buttons, Menus and many more. ExtReact components are pre-built and pre-tested and work seamlessly across browsers and platforms. Packed with all the components and features you ever need, with ExtReact, you’ll never have to go out looking for another missing component or functionality. 

## ExtReact 30-day Free Trial
The limited 30-day free trial offers full access to the ExtReact components and tools. Try it out and see why it’s the most comprehensive component suite out there!  

## Installation and Usage
### Add ExtReact components to an existing React app 
* To add components to an existing app created with create-react-app, run the following in the root folder of the app.
```
$ npm install -g @sencha/ext-react-modern
```
* Follow the [ExtReact Quick Start Guide](https://docs.sencha.com/extreact/7.2.0/guides/getting_started/adding_ext_react_modern.html#getting_started-_-adding_ext_react_modern_-_step_3__install__sencha_ext_react_modern) to update the component and explore other options.

Alternately, 
### Create a New React app
* To create a React app with create-react-app and ExtReact template, run the following command
```
$ npx create-react-app --template @sencha/ext-react-modern ext-react-modern-demo
```
* When create-react-app is completed, start the ExtReact application.
```
$ cd ext-react-modern-demo
$ npm start
```
 * Follow the [ExtReact Getting Started Guide](https://docs-devel.sencha.com/extreact/7.2.0/guides/getting_started/creating_ext_react_app_modern.html#getting_started-_-creating_ext_react_app_modern_-_step_3__optional__changing_the_theme_for_a__sencha_ext_react_modern_app) to change the app theme and explore other options

### Interested in trying out the additional tools included in your trial?
Fill out the [zip trial form](https://sencha.com/products/extreact/evaluate/) to get the zip downloads of add-on premium components: 
- D3 Adapter
- Pivot Grid
- Calendar
- Exporter 
 
Other design tools: 
- Themer
- Stencils
- Test
 
The ExtReact Trial version is valid for 30-days. If you need any help with the product trial [contact us](https://www.sencha.com/company/contact/). Ready to use the product for your commercial project? Check out the [product pricing](https://www.sencha.com/store/extreact/) and licensing details. 

## Guides and Helpful Resources
ExtReact has extensive documentation and getting started guides. 
* [Documentation](https://docs.sencha.com/extreact/)
* [Understanding the App](https://docs.sencha.com/extreact/7.2.0/guides/getting_started/understanding_app_modern.html)
* [Learn about the Data Grid Features](https://www.sencha.com/grid)

Check out our resources page to get quick access to videos, tutorials, webinars and more.
* [Examples of 140+ ExtReact Components](https://examples.sencha.com/ExtReact/latest/kitchensink/)
* [ExtReact Video Tutorials](https://www.sencha.com/resources/)

### Additional Resources
- Official Website: https://www.sencha.com/products/extreact/
- Trial Download: https://www.sencha.com/products/extreact/evaluate/
- Documentation: https://docs.sencha.com/extreact/
- Licensing: https://www.sencha.com/store/extreact/
- EULA: https://www.sencha.com/legal/sencha-software-license-agreement/
- Support: https://www.sencha.com/company/contact/
- Community: https://stackoverflow.com/questions/tagged/extreact

## Licensing
Evaluation/Trial License

#### Keywords
React   ExtReact   html   javascript   framework   components   widgets   ui   datagrid   pivotgrid   chart   treelist
